## org.apache.tools.ant.types
Class Substitution

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.Substitution

public class Substitution
extends DataType

A regular expression substitution datatype. It is an expression that is meant to replace a regular expression.

       <substitition [ [id="id"] expression="expression" | refid="id" ]
       />

Author:
  Matthew Inger mattinger@mindless.com
See Also:
  `Perl5Substitution`

Field Summary
`static java.lang.String` `DATA_TYPE_NAME` The name of this data type

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Substitution()`

Method Summary
`java.lang.String` `getExpression(Project p)` Gets the pattern string for this RegularExpression in the given project.
`Substitution` `getRef(Project p)` Get the RegularExpression this reference refers to in the given project.
`void` `setExpression(java.lang.String expression)`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_TYPE_NAME

    public static final java.lang.String DATA_TYPE_NAME

  The name of this data type

  See Also:
    Constant Field Values

Constructor Detail

### Substitution

    public Substitution()

Method Detail

### setExpression

    public void setExpression(java.lang.String expression)

### getExpression

    public java.lang.String getExpression(Project p)

  Gets the pattern string for this RegularExpression in the given project.

### getRef

    public Substitution getRef(Project p)

  Get the RegularExpression this reference refers to in the given project. Check for circular references too

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.